#ifndef STATS_HPP_INCLUDED
#define STATS_HPP_INCLUDED

#include <cstdint>

/** @addtogroup GameTabs
* @{ */
class Stats
{
    public:

        typedef enum SKILLS
        {
            ATTACK,
            DEFENCE,
            STRENGTH,
            HITPOINTS,
            RANGE,
            PRAYER,
            MAGIC,
            COOKING,
            WOODCUTTING,
            FLETCHING,
            FISHING,
            FIREMAKING,
            CRAFTING,
            SMITHING,
            MINING,
            HERBLORE,
            AGILITY,
            THIEVING,
            SLAYER,
            FARMING,
            RUNECRAFT,
            HUNTER,
            CONSTRUCTION,
            ALL
        } SKILLS;

        static bool IsOpen();
        static bool Open();
        static std::int32_t GetWeight();
        static std::int32_t GetRunEnergy();
        static std::int32_t GetCurrentLevel(SKILLS Skill);
        static std::int32_t GetRealLevel(SKILLS Skill);
        static std::int64_t GetExperience(SKILLS Skill);
        static std::int32_t GetExperienceTo(SKILLS Skill, std::int32_t Level);

};

/** @} */

#endif // STATS_HPP_INCLUDED
